script.
  function initMap () {

    var maps = [
      {
        id: 'map',
        center: {lat: 59.9343, lng: 30.3351}
      },
      {
        id: 'map2',
        center: {lat: 59.9343, lng: 30.3351}
      }
    ];


    for (var x = 0; x < maps.length; x++) {
      //init map
      var map = new google.maps.Map(document.getElementById(maps[x].id), {
        zoom: 8,
        center: {lat: 59.9343, lng: 30.3351},
      });


      var locations = [
        {lat: 59.854461, lng: 30.485492},
        {lat: 60.025715, lng: 30.336077},
        {lat: 60.024577, lng: 30.406531},
        {lat: 59.736129, lng: 30.611902},
        {lat: 59.893845, lng: 29.819842},
        {lat: 59.877018, lng: 29.336509},
        {lat: 59.561479, lng: 30.135069},
        {lat: 59.719811, lng: 30.399622},
        {lat: 59.895372, lng: 30.433929},
        {lat: 59.889001, lng: 30.279771},
        {lat: 59.922542, lng: 30.335722},
        {lat: 59.888969, lng: 30.279814},
      ]


      var contents = [
        'СК "Обуховский"; Санкт-Петербург; Невский; Пролетарская, Обухово, Рыбацкое; пр. Обуховской обороны, д. 130',
        'ФЦ "Сосновка Парк"; Санкт-Петербург; Выборгский; Озерки, Удельная; ул. Жака Дюкло, д. 20',
        'СК "Nova Arena"; Санкт-Петербург; Калининский; Гражданский проспект, Академическая; Гражданский пр., д. 100',
        'Спортивный зал в ТЦ "ОКА"; Колпино; Колпинский; г. Колпино, ул. Октябрьская д.8а',
        'Спортивный комплекс "Морской технический Колледж"; Санкт-Петербург; Кировский, Красносельский, Петродворцовый; Ленинский проспект, Проспект Ветеранов; ул. Лётчика Пилютова, д. 31',
        'ФК "Рубеж"; Санкт-Петербург; Московский, Фрунзенский; Электросила, Парк Победы; ул. Сызранская, д. 23а, стр. 1',
        'СК "Маяк"; Гатчина; Пушкинский; ул. Чехова, д. 10',
        'Пушкин; Пушкин; ул. Малая, д.9',
        'ФЦ "Форвард"; Санкт-Петербург; Невский; Елизаровская, Ломоносовская; пр.Обуховской Обороны, д. 105',
        'Центр спорта "PRO"; Санкт-Петербург; Кировский; Нарвская, Кировский завод; ул.Маршала Говорова, д. 35/2',
        'Стадион "Локомотив"; Санкт-Петербург; Адмиралтейский, Центральный; Звенигородская, Лиговский проспект; ул. Константина Заслонова, д. 23, корп. 4',
        'Центр спорта "PRO"; Санкт-Петербург; Кировский; Нарвская, Кировский завод; ул.Маршала Говорова, д. 35/2',
      ]

      var infowindow = new google.maps.InfoWindow();

      var marker, i;

      for (i = 0; i < locations.length; i++) {

        marker = new google.maps.Marker({
          position: locations[i],
          map: map
        });



        marker.addListener('click', function (marker, i) {
          return function () {
            infowindow.setContent(contentString);
            infowindow.open(map, marker);
          }
        });

        google.maps.event.addListener(marker, 'click', (function (marker, i) {
          return function () {
            infowindow.setContent(contents[i]);
            infowindow.open(map, marker);
          }
        })(marker, i));

      }
    }
  }

script(async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCagRi5tdpfDMNj6ejqpj5PooqfrNN4HG0&callback=initMap")
